Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/kyb/business/search
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
company *stringname of company or number of companyrequired
country_code *stringISO Alpha-2 Country Code of business countryrequired

Sample response

Response
{
    "entity": [
        {
            "name": "John Doe Inc.",
            "shortName": null,
            "brandName": null,
            "internationalNumber": "LLC_00943037",
            "countryCode": "us-il"
        }
    ]
}

Response Fields

FieldTypeDescription
entityarrayList of matching business records
entity[].namestringFull registered name of the business
entity[].shortNamestring | nullShort or abbreviated business name
entity[].brandNamestring | nullBrand or trading name
entity[].internationalNumberstringUnique international registration number
entity[].countryCodestringCountry and region code of the business registration